Page MenuHomePhabricator

Python2/3 compat - print
ClosedPublic

Authored by serge-sans-paille on Dec 3 2018, 4:53 AM.

Diff Detail

Repository
rC Clang

Event Timeline

joerg added a comment.Dec 3 2018, 5:07 AM

I'd recomment another pass to reduce the now fully redundant () pairs around % string substitutions, but in principle LGTM.

utils/token-delta.py
189

Please just use a normal for-loop here instead of join + list comprehension?

serge-sans-paille marked an inline comment as done.Dec 3 2018, 5:24 AM
serge-sans-paille added inline comments.
utils/token-delta.py
189

The change you request is unrelated to that commit, I suggest we postpone it to another patch.

Add missing file with print-related changes.

docs/tools/dump_ast_matchers.py
45

urllib2 was correct

serge-sans-paille marked an inline comment as done.
This revision is now accepted and ready to land.Dec 13 2018, 2:23 AM
Closed by commit rC349454: Portable Python script across Python version (authored by serge_sans_paille, committed by ). · Explain WhyDec 18 2018, 12:40 AM
This revision was automatically updated to reflect the committed changes.